parameters:

services:
  _defaults:
    public: true

  prestashop.module.polarisprestatheme:
    class: PolarisPrestaTheme
    factory: [Module, getInstanceByName]
    arguments:
      - 'polarisprestatheme'

  # Controllers    
  PrestaShop\Module\PolarisPrestaTheme\Controllers\Admin\ConfigurationAdminController:
    public: true
    autowire: true
    autoconfigure: true
    class: PrestaShop\Module\PolarisPrestaTheme\Controllers\Admin\ConfigurationAdminController 

  # Config
  PrestaShop\Module\PolarisPrestaTheme\Config:
    public: true
    autowire: true
    autoconfigure: true
    class: PrestaShop\Module\PolarisPrestaTheme\Config\ConfigPolarisPrestaTheme

  # Controllers
  PrestaShop\Module\PolarisPrestaTheme\Controllers\Admin\AdminFormController:
    public: true
    autowire: true
    autoconfigure: true
    class: PrestaShop\Module\PolarisPrestaTheme\Controllers\Admin\AdminFormController
    tags: ['controller.service_arguments']

  PrestaShop\Module\PolarisPrestaTheme\Controllers\Admin\AdminGeneralController:
    public: true
    autowire: true
    autoconfigure: true
    class: PrestaShop\Module\PolarisPrestaTheme\Controllers\Admin\AdminGeneralController

  PrestaShop\Module\PolarisPrestaTheme\Controllers\Admin\AdminHomeBlocksController:
    public: true
    autowire: true
    autoconfigure: true
    class: PrestaShop\Module\PolarisPrestaTheme\Controllers\Admin\AdminHomeBlocksController

  PrestaShop\Module\PolarisPrestaTheme\Controllers\Admin\AdminMenuController:
    public: true
    autowire: true
    autoconfigure: true
    class: PrestaShop\Module\PolarisPrestaTheme\Controllers\Admin\AdminMenuController

  PrestaShop\Module\PolarisPrestaTheme\Controllers\Admin\ContactCustomerAdminController:
    public: true
    autowire: true
    autoconfigure: true
    class: PrestaShop\Module\PolarisPrestaTheme\Controllers\Admin\ContactCustomerAdminController

  PrestaShop\Module\PolarisPrestaTheme\Controllers\Admin\ProductSearchController:
    public: true
    autowire: true
    autoconfigure: true
    class: PrestaShop\Module\PolarisPrestaTheme\Controllers\Admin\ProductSearchController

  PrestaShop\Module\PolarisPrestaTheme\Controllers\Admin\AdminProductController:
    autowire: true
    autoconfigure: true
    class: PrestaShop\Module\PolarisPrestaTheme\Controllers\Admin\AdminProductController
    arguments:
      - '@prestashop.core.addon.theme.repository'
      - '@prestashop.core.addon.theme.theme_manager_builder'
      - '@prestashop.adapter.legacy.context'
    public: true
    tags: ['controller.service_arguments']

